#
# spec file for package hextris (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         hextris
Release:      13
Copyright:    Copyright 1990 David Markley, 1993 Khun Yee Fung (color version)
Group: 
Provides:     cxhextris hextris xhextris 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      Xhextris and CXhextris, hexagonal versions of Xtetris
Source: hextris.tar.gz
Patch: hextris.dif
%description
This package provides two games under X Window System:
Xhextris and the colored version CXhextris.  Both are fast games involving
dropping hexagonal blocks similar to xtetris.
Both version are modified. They use the same font (but different
letters) and they use the cursor keys.

%prep
%setup -n hextris
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/fonts/misc
%dir /var/X11R6/scores
/usr/X11R6/bin/cxhextris
/usr/X11R6/bin/tophextris
/usr/X11R6/bin/xhextris
/usr/X11R6/lib/X11/fonts/misc/xhextris.pcf.gz
%doc /usr/man/man1/cxhextris.1.gz
%doc /usr/man/man1/xhextris.1.gz
/var/X11R6/scores/cxhextris-scores
/var/X11R6/scores/xhextris-scores

